fop 1.1

## org.apache.fop.fonts.substitute
Class FontSubstitution

    java.lang.Object
      org.apache.fop.fonts.substitute.FontSubstitution

    public class FontSubstitution

extends java.lang.Object

Encapsulates a pair of substitution qualifiers

Constructor Summary
`FontSubstitution(FontQualifier fromQualifier, FontQualifier toQualifier)` Main constructor

Method Summary
`FontQualifier` `getFromQualifier()`
`FontQualifier` `getToQualifier()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FontSubstitution

    public FontSubstitution(FontQualifier fromQualifier,
                            FontQualifier toQualifier)

  Main constructor

  Parameters:
    `fromQualifier` - the substitution from qualifier
    `toQualifier` - the substitution to qualifier

Method Detail

### getFromQualifier

    public FontQualifier getFromQualifier()

  Returns:
    the substitution from qualifier

### getToQualifier

    public FontQualifier getToQualifier()

  Returns:
    the substitution to qualifier

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.